# thing-it-device-plugwise

[![NPM](https://nodei.co/npm/thing-it-device-plugwise.png)](https://nodei.co/npm/thing-it-device-plugwise/)
[![NPM](https://nodei.co/npm-dl/thing-it-device-plugwise.png)](https://nodei.co/npm/thing-it-device-plugwise/)

Device Plugins for [[thing-it-node]](https://github.com/marcgille/thing-it-node) and [thing-it.com](wwww.thing-it.com) for the Plugwise (http://www.plugwise.com/) products

* **Plugwise Circle** (pluggable Energy Meter and Switch)
* **Plugwise Stealth** (built-in Energy Meter and Switch)
* **Plugwise Scan** (Motion Sensor and Light Detector)
* **Plugwise Sense** (Humidity and Temperature Sensor)
* **Plugwise Anna** (Smart Thermostat)
* **Plugwise Coolding** (Air Conditioner Controller)

<img src="./documentation/images/circle.png"><img style="margin-left: 4em;" width="20%" src="./documentation/images/anna.png">

## Installation and Configuration

### Installation of NodeJS and [thing-it-node]

First, install [nodejs](https://nodejs.org/en/download/) on your computer (e.g. your PC or your Raspberry Pi).

Then install **[thing-it-node]** via

```
npm install -g thing-it-node
```
 
### Initialization and Start of [thing-it-node] 

The **[thing-it-device-philips-plugwise]** Plugin is installed with **[thing-it-node]**, hence there is no need to install it separately.

The Plugin supports Autodiscovery, hence you only have to create a directory in which you intend to run the configuration, e.g.
 
```
mkdir ~/plugwise-test
cd ~/plugwise-test
```

and invoke

```
tin init
```

and then start **[thing-it-node]** via

```
tin run
```

Install the **[thing-it] Mobile App** from the Apple Appstore or Google Play and set it up to connect to **[thing-it-node]** 
locally as described [here](https://thing-it.com/thing-it/#/documentationPanel/mobileClient/connectionModes) or just connect your browser under 
[http://localhost:3001](http://localhost:3001).
 
### Plugwise Device Setup

Connect your **Plugwise Stretch** to the same network as the **[thing-it-node]** Node Box you have configured above 
and connect all Plugwise Devices to it.

On the **[thing-it] Mobile App** or in the browser, confirm the registration of the Plugwise Devices -
you will be able monitor and control these from the **[thing-it] Mobile App** immediately.

## Mobile UI

The following screenshot shows the Node Page of the [sample configuration]("./examples.configuration"):

<a href="./documentation/images/mobile-ui.png"><img src="./documentation/images/mobile-ui.png" width="80%" height="80%"></a>

## Where to go from here ...

After completing the above, you may be interested in

* Connecting additional [Devices](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/deviceConfiguration) and configuring
[Groups](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/groupConfiguration), 
[Services](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/serviceConfiguration), 
[Event Processing](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/eventConfiguration), 
[Storyboards](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/storyboardConfiguration) and 
[Jobs](https://www.thing-it.com/thing-it/#/documentationPanel/mobileClient/jobConfiguration) via your **[thing-it] Mobile App**.
* Use [thing-it.com](https://www.thing-it.com) to safely connect your Node Box from everywhere, manage complex configurations, store and analyze historical data 
and offer your configurations to others on the **[thing-it] Mesh Market**.
* Explore other Device Plugins like [Texas Instruments Sensor Tag](https://www.npmjs.com/package/thing-it-device-ti-sensortag), [Philips Hue Lighting](https://www.npmjs.com/package/thing-it-device-philips-hue) and many more. For a full set of 
Device Plugins search for **thing-it-device** on [npm](https://www.npmjs.com/). Or [write your own Plugins](https://github.com/marcgille/thing-it-node/wiki/Plugin-Development-Concepts).